TakenAt: 2012-07-28T15:30:31Z
TakenAtLocal: 2012-07-28T15:30:31Z
TakenSrc: meta
UID: pt67ljzl7apt7bev
Type: image
Title: ""
TimeZone: Local
Year: 2012
Month: 7
Day: 28
ISO: 64
Exposure: 1/30
FNumber: 2.4
FocalLength: 35
Quality: 3
Faces: 1
Details:
  Keywords: grey, portrait
  Software: Camera Genius 3.0
  SoftwareSrc: meta
CreatedAt: 2025-11-24T02:28:47Z
UpdatedAt: 2025-11-24T07:53:50Z
